# Interface ICefTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefTextfieldDelegate = interface(ICefViewDelegate)`

## Description

Implement this interface to handle Textfield events. The functions of this interface will be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefViewDelegate
- ICefTextfieldDelegate

## Overview

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);`
| `procedure OnAfterUserAction(const textfield: ICefTextfield);`

## Description

### Methods

| `procedure OnKeyEvent(const textfield: ICefTextfield; const event: TCefKeyEvent; var aResult : boolean);`
Called when |textfield| receives a keyboard event. |event| contains information about the keyboard event. Return true (1) if the keyboard event was handled or false (0) otherwise for default handling. ###### Attributes GUID['{72612994-92BB-4DE9-BB38-6F49FB45F94B}']

| `procedure OnAfterUserAction(const textfield: ICefTextfield);`
Called after performing a user action that may change |textfield|.

Generated by PasDoc 0.16.0-snapshot.